기술 자료

Development

User Acquisition

Monetization

산업 분야

ironSource Ads

Android SDK

iOS SDK

ironSource Ads

이 페이지는 선택한 언어로 제공되지 않습니다.
ironSource Ads
​
​
Monetization
  • Get started
  • Measurement and reports
  • APIs
    • Authentication
    • Reporting
    • Impression level revenue
    • Application
    • Instances
  • SDK
  1. 게임 성장
  2. ironSource Ads
  3. ironSource Ads monetization

ironSource Ads Instances API

Manage and configure your ironSource ad instances programmatically using the Instances API for greater flexibility and automation.
읽는 시간 5분
최근 업데이트: 일 년 전

Use this API to manage your instances for the ironSource Ads network on external mediations.
The API supports the following actions: Get, Create, Update, and Delete.
Requests are limited to one application per call.
참고
Bidding instances are supported on GET method only.

Rate limits

The API returns a 429 HTTP status code if a request exceeds 8000 requests in a time period of 30 minutes.

Maintenance mode

If the API is under maintenance, it will return 503 HTTP status code with an error message.

Authentication type

Bearer API authentication

GET

Description

Get a list of your application's ironSource traditional instances.

Method

GET
https://platform.ironsrc.com/ads/instances/v1

Request parameters

Name

Type

Description

Example

appKeyStringapplication key (as seen on the platform)142401ac1

Request example URL

https://platform.ironsrc.com/ads/instances/v1/142401ac1/

Response parameters

Name

Description

Example

instanceId
Unique instance ID generated by ironSource Ads2432228
instanceName
The instance nameisAndroid RV
adUnit
rewardedVideo, interstitial, banner, or nativebanner
isLive
Boolean value if the instance is live or nottrue
isBidder
the instance a bidder instance (true or false)true
isOptimized
Optional - Boolean value if the instance has optimized pricingfalse
isInTestMode
Campaigns are delivering to your app but not generating revenuefalse
globalPricing
Optional - the value of the global CPM pricing1.3
countriesPricing
Optional - list of countries and their eCPM value (see below)
These are the following countries pricing fields in the
countriesPricing
array
country
Country code which is defined by a 2 letter country code, as per ISO 3166-1 Alpha-2US
eCPM
The eCPM value for the specific country100

Response example

[ { "instanceId": 0, "instanceName": "Default", "adUnit": "rewardedVideo", "isLive": false, "isOptimized": true, "isInTestMode": false }, { "instanceId": 123456 "instanceName": "instance1", "adUnit": "rewardedVideo", "isLive": true, "isOptimized": false, "isInTestMode": false, "globalPricing": 10, "countriesPricing": [ { "country": "US", "eCPM": 20 }, { "country": "CN", "eCPM": 20 }, { "country": "AU", "eCPM": 30 }] }]

CREATE

Description

Use this API to create traditional ironSource instances You can create multiple instances with a single API call.
  • This API allows you to create multiple instances with a single API call.
  • The instance Id value is reachable using Get call to this API

Method

POST
https://platform.ironsrc.com/ads/instances/v1

Request parameters

Name

Type

Description

Example

appKey
Stringapplication key (as seen on the platform)142401ac1

Request example URL

https://platform.ironsrc.com/ads/instances/v1/142401ac1/

Supported parameters

Name

Type

Description

Mandatory parameter

Default value

Example

instanceName
StringThe newly created instance name, Length should be between  1 to 32 characters.✓-instance 1
adUnit
String“rewardedVideo”, “interstitial”, “banner”✓-rewardedVideo
isLive
BooleanIndicates if the instance is live or not✓-true
isOptimized
BooleanIndicates whether the instance is optimized or notXtruefalse
globalPricing
NumberSetting a global CPM value for the instancex-15
countriesPricing
Array An array of countries and their CPM value (see below)x-
These are the following countries pricing fields in the ‘countriesPricing’ array
country
StringCountry code. which is defined by a 2 letter country code  as per ISO 3166-1 Alpha-2.✓-AU
eCPM
NumberThe eCPM value for the related country✓-2.4

Request example

[ { "instanceName": "instance1", "adUnit": "rewardedVideo", "isLive": false }, { "instanceName": "instance2", "adUnit": "interstitial", "isLive": true, "isOptimized": false, "globalPricing": 10, "countriesPricing": [ { "country": "US", "eCPM": 20 }, { "country": "CN", "eCPM": 20 }, { "country": "AU", "eCPM": 30 }] }]

Success

A successful response will be sent with HTTP code 200.

UPDATE

Description

Use this API to update ironSource instances
  • Multiple instances can be updated with a single API call
  • To remove the globalPricing, simply enter
    null
    into the field parameter To remove the countriesPricing, simply add the field parameter with
    empty array
    value.

Method

PUT
https://platform.ironsrc.com/ads/instances/v1

Request parameters

Name

Type

Description

Example

appKey
Stringapplication key (as seen on the platform)142401ac1

Request example URL

https://platform.ironsrc.com/ads/instances/v1/142401ac1/

Supported parameters

Name

Type

Description

Mandatory parameter

Default value

Example

instanceId
Numberinstance ID as sent in the GET request✓-12345
adUnit
StringrewardedVideo/interstitial/banner✓-banner
instanceName
StringThe newly updated instance name. Length should be in range 1 to 32.x-updatedInstance
isLive
BooleanIndication rather the instance is live or notx-true
isOptimized
BooleanIndication rather the instance pricing is optimizedx-true
globalPricing
Numberupdating global CPM value for the instance, send null to resetx-10
countriesPricing
ArrayList of countries pricing to update - send empty array to reset (see below)x-
These are the following countries pricing fields in the
countriesPricing
array
country
stringCountry code which is defined by a 2 letter country code  as per ISO 3166-1 Alpha-2.✓-AU
eCPM
NumberThe eCPM value for the related country✓-2.5

Request example

[ { "instanceId": 0, "adUnit": "rewardedVideo", "instanceName": "instance1_update", "isLive": true }, { "instanceId": 12345 "instanceName": "instance2_update", "adUnit": "interstitial", "isLive": false, "globalPricing": 100, "countriesPricing": [] }]

Success

A successful response will be sent with HTTP code 200.

DELETE

Description

Use this API to delete ironSource instances.
  • Multiple instances can be deleted with a single API call
  • The default instances cannot be deleted
  • Deleted instances cannot be restored

Method

DELETE
https://platform.ironsrc.com/ads/instances/v1

Request parameters

Name

Type

Description

Example

appKey
Stringapplication key (as seen on the platform)142401ac1

Request example URL

https://platform.ironsrc.com/ads/instances/v1/142401ac1/

Supported parameters

Name

Type

Description

Mandatory parameter

Default value

Example

instanceId
NumberInstance IDs as sent in the GET request✓-12473

Request body example

[ { "instanceId": 1458 }, { "instanceId": 123654 },]

Success

A successful response will be sent with HTTP code 200.

Errors

If one of the instances sent in the request is failing, an error array will be sent with HTTP code 400 and will cause the whole request to be rejected.
Each error will be followed with an error message.

Example

{ "errorsArray": [ { "code": "ERR-3201", "errorMessage": "Instance name is required", "params": { "[0].instancename": "" } }, { "code": "ERR-3328", "errorMessage": "countriesPricing country is invalid", "params": { "[0].countriesPricing[0].country": "" } } ], "code": 400}

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.

  • 보고 있는 페이지
    • Rate limits

    • Maintenance mode

    • Authentication type

    • GET

      • Description

        • Method

        • Request parameters

        • Request example URL

        • Response parameters

        • Response example

    • CREATE

      • Description

      • Method

      • Request parameters

      • Request example URL

      • Supported parameters

        • Request example

      • Success

    • UPDATE

      • Description

      • Method

      • Request parameters

      • Request example URL

      • Supported parameters

      • Request example

      • Success

    • DELETE

      • Description

      • Method

      • Request parameters

      • Request example URL

      • Supported parameters

      • Request body example

      • Success

    • Errors

      • Example


이 페이지의 문제 보고
​
​